OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Enumerations | Functions
oms Namespace Reference

## Namespaces
namespace | Log
namespace | ssd
namespace | ssp

## Classes
class | AlgLoop
class | BusConnector
| BusConnector. More...
class | Component
class | ComponentFMU3CS
class | ComponentFMU3ME
class | ComponentFMUCS
class | ComponentFMUME
class | ComponentTable
class | ComRef
| ComRef - component reference. More...
class | Connection
| ** More...
class | Connector
| Connector. More...
class | CSVReader
class | CSVWriter
class | DirectedGraph
class | Element
| Element. More...
class | Flags
class | FMUInfo
| FMU info. More...
struct | KINSOL_USER_DATA
class | KinsolSolver
class | MatReader
struct | MatVer4Header
struct | MatVer4Matrix
class | MATWriter
class | Model
class | Option
struct | Parameter
class | ResultReader
class | ResultWriter
struct | scc_t
| Strong connected components data type. More...
class | Scope
struct | Signal
class | SignalDerivative
union | SignalValue_t
class | Snapshot
class | System
class | SystemSC
class | SystemWC
class | Values
class | Variable
class | VoidWriter

## Typedefs
typedef struct oms::KINSOL_USER_DATA | KINSOL_USER_DATA
typedef enum oms::MatVer4Type_t | MatVer4Type_t
typedef struct oms::MatVer4Header | MatVer4Header
typedef struct oms::MatVer4Matrix | MatVer4Matrix

## Enumerations
enum | MatVer4Type_t { MatVer4Type_DOUBLE = 0 , MatVer4Type_SINGLE = 10 , MatVer4Type_INT32 = 20 , MatVer4Type_CHAR = 51 }
enum | SignalType_t { SignalType_REAL , SignalType_INT , SignalType_BOOL }

## Functions
void | fmi2logger (fmi2ComponentEnvironment env, fmi2String instanceName, fmi2Status status, fmi2String category, fmi2String message,...)
void | fmi3logger (fmi3InstanceEnvironment env, fmi3Status status, fmi3String category, fmi3String message)
bool | operator== (const ComRef &lhs, const ComRef &rhs)
bool | operator!= (const ComRef &lhs, const ComRef &rhs)
bool | operator< (const ComRef &lhs, const ComRef &rhs)
bool | operator== (const Connection &lhs, const Connection &rhs)
bool | operator!= (const Connection &lhs, const Connection &rhs)
bool | operator== (const Connector &v1, const Connector &v2)
bool | operator!= (const Connector &v1, const Connector &v2)
size_t | sizeofMatVer4Type (MatVer4Type_t type)
void | writeMatVer4Matrix (FILE *file, const char *name, size_t rows, size_t cols, const void *matrixData, MatVer4Type_t type)
void | appendMatVer4Matrix (FILE *file, long position, const char *name, size_t rows, size_t cols, const void *matrixData, MatVer4Type_t type)
MatVer4Matrix * | readMatVer4Matrix (FILE *file)
void | freeMatVer4Matrix (MatVer4Matrix **matrix)
void | skipMatVer4Matrix (FILE *file)
char * | allocateAndCopyString (const char *source)
char * | allocateAndCopyString (const std::string &source)
char * | mallocAndCopyString (const char *source)
char * | mallocAndCopyString (const std::string &source)
int | cvode_rhs (sunrealtype t, N_Vector y, N_Vector ydot, void *user_data)
int | cvode_rhs_algebraic (sunrealtype t, N_Vector y, N_Vector ydot, void *user_data)
int | cvode_roots (sunrealtype t, N_Vector y, sunrealtype *gout, void *user_data)
bool | operator== (const oms::Variable &v1, const oms::Variable &v2)
bool | operator!= (const oms::Variable &v1, const oms::Variable &v2)

## Typedef Documentation

## ◆ KINSOL_USER_DATA

typedef struct oms::KINSOL_USER_DATA oms::KINSOL_USER_DATA

## ◆ MatVer4Header

typedef struct oms::MatVer4Header oms::MatVer4Header

## ◆ MatVer4Matrix

typedef struct oms::MatVer4Matrix oms::MatVer4Matrix

## ◆ MatVer4Type_t

typedef enum oms::MatVer4Type_t oms::MatVer4Type_t

## Enumeration Type Documentation

## ◆ MatVer4Type_t

enum oms::MatVer4Type_t

Enumerator
MatVer4Type_DOUBLE |
MatVer4Type_SINGLE |
MatVer4Type_INT32 |
MatVer4Type_CHAR |

## ◆ SignalType_t

enum oms::SignalType_t

Enumerator
SignalType_REAL |
SignalType_INT |
SignalType_BOOL |

## Function Documentation

## ◆ allocateAndCopyString() [1/2]

char * oms::allocateAndCopyString | ( | const char * | source | ) |

Here is the caller graph for this function:

## ◆ allocateAndCopyString() [2/2]

char * oms::allocateAndCopyString | ( | const std::string & | source | ) |

Here is the call graph for this function:

## ◆ appendMatVer4Matrix()

void oms::appendMatVer4Matrix | ( | FILE * | file,
|  | long | position,
|  | const char * | name,
|  | size_t | rows,
|  | size_t | cols,
|  | const void * | matrixData,
|  | MatVer4Type_t | type
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ cvode_rhs()

int oms::cvode_rhs | ( | sunrealtype | t,
|  | N_Vector | y,
|  | N_Vector | ydot,
|  | void * | user_data
| ) |  |

Here is the caller graph for this function:

## ◆ cvode_rhs_algebraic()

int oms::cvode_rhs_algebraic | ( | sunrealtype | t,
|  | N_Vector | y,
|  | N_Vector | ydot,
|  | void * | user_data
| ) |  |

Here is the caller graph for this function:

## ◆ cvode_roots()

int oms::cvode_roots | ( | sunrealtype | t,
|  | N_Vector | y,
|  | sunrealtype * | gout,
|  | void * | user_data
| ) |  |

Here is the caller graph for this function:

## ◆ fmi2logger()

void oms::fmi2logger | ( | fmi2ComponentEnvironment | env,
|  | fmi2String | instanceName,
|  | fmi2Status | status,
|  | fmi2String | category,
|  | fmi2String | message,
|  |  | ...
| ) |  |

Here is the caller graph for this function:

## ◆ fmi3logger()

void oms::fmi3logger | ( | fmi3InstanceEnvironment | env,
|  | fmi3Status | status,
|  | fmi3String | category,
|  | fmi3String | message
| ) |  |

Here is the caller graph for this function:

## ◆ freeMatVer4Matrix()

void oms::freeMatVer4Matrix | ( | MatVer4Matrix ** | matrix | ) |

Here is the caller graph for this function:

## ◆ mallocAndCopyString() [1/2]

char * oms::mallocAndCopyString | ( | const char * | source | ) |

Here is the caller graph for this function:

## ◆ mallocAndCopyString() [2/2]

char * oms::mallocAndCopyString | ( | const std::string & | source | ) |

Here is the call graph for this function:

## ◆ operator!=() [1/4]

bool oms::operator!= | ( | const ComRef & | lhs,
|  | const ComRef & | rhs
| ) |  |

## ◆ operator!=() [2/4]

bool oms::operator!= | ( | const Connection & | lhs,
|  | const Connection & | rhs
| ) |  |
| inline

## ◆ operator!=() [3/4]

bool oms::operator!= | ( | const Connector & | v1,
|  | const Connector & | v2
| ) |  |

## ◆ operator!=() [4/4]

bool oms::operator!= | ( | const oms::Variable & | v1,
|  | const oms::Variable & | v2
| ) |  |

## ◆ operator<()

bool oms::operator< | ( | const ComRef & | lhs,
|  | const ComRef & | rhs
| ) |  |

Here is the call graph for this function:

## ◆ operator==() [1/4]

bool oms::operator== | ( | const ComRef & | lhs,
|  | const ComRef & | rhs
| ) |  |

Here is the call graph for this function:

## ◆ operator==() [2/4]

bool oms::operator== | ( | const Connection & | lhs,
|  | const Connection & | rhs
| ) |  |
| inline

## ◆ operator==() [3/4]

bool oms::operator== | ( | const Connector & | v1,
|  | const Connector & | v2
| ) |  |

Here is the call graph for this function:

## ◆ operator==() [4/4]

bool oms::operator== | ( | const oms::Variable & | v1,
|  | const oms::Variable & | v2
| ) |  |

Here is the call graph for this function:

## ◆ readMatVer4Matrix()

oms::MatVer4Matrix * oms::readMatVer4Matrix | ( | FILE * | file | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ sizeofMatVer4Type()

size_t oms::sizeofMatVer4Type | ( | MatVer4Type_t | type | ) |

Here is the caller graph for this function:

## ◆ skipMatVer4Matrix()

void oms::skipMatVer4Matrix | ( | FILE * | file | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ writeMatVer4Matrix()

void oms::writeMatVer4Matrix | ( | FILE * | file,
|  | const char * | name,
|  | size_t | rows,
|  | size_t | cols,
|  | const void * | matrixData,
|  | MatVer4Type_t | type
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function: